> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Invoice

> Returns a single Invoice extended information.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/invoices/{invoice_uuid}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/invoices/{invoice_uuid}:
    get:
      tags:
        - Invoice
      summary: Show Invoice
      description: Returns a single Invoice extended information.
      operationId: showInvoice
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: reprehenderit
        - name: invoice_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 040f4d67-65d7-3fb8-9546-5de3c23bb948
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a13651d4-3102-4aa8-b76a-0d5b88e39fcc
                      reference:
                        type: string
                        example: INV677cu
                      status:
                        type: string
                        example: sent
                      placed_at:
                        type: string
                        example: '2025-07-11T09:57:10+00:00'
                      sub_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '2693.00'
                          amount_minor:
                            type: integer
                            example: 269300
                      discount_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '429.00'
                          amount_minor:
                            type: integer
                            example: 42900
                      tax_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '680.00'
                          amount_minor:
                            type: integer
                            example: 68000
                      credits_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '2944.00'
                          amount_minor:
                            type: integer
                            example: 294400
                      total_before_tax:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      invoicable_id:
                        type: string
                        example: 16a81ef3-cfb2-325a-a69f-ee06e925bde9
                      invoicable_type:
                        type: string
                        example: order
                example:
                  data:
                    uuid: a13651d4-3102-4aa8-b76a-0d5b88e39fcc
                    reference: INV677cu
                    status: sent
                    placed_at: '2025-07-11T09:57:10+00:00'
                    sub_total:
                      currency: USD
                      amount: '2693.00'
                      amount_minor: 269300
                    discount_total:
                      currency: USD
                      amount: '429.00'
                      amount_minor: 42900
                    tax_total:
                      currency: USD
                      amount: '680.00'
                      amount_minor: 68000
                    credits_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '2944.00'
                      amount_minor: 294400
                    total_before_tax:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    invoicable_id: 16a81ef3-cfb2-325a-a69f-ee06e925bde9
                    invoicable_type: order
              example:
                data:
                  uuid: a13651d4-3102-4aa8-b76a-0d5b88e39fcc
                  reference: INV677cu
                  status: sent
                  placed_at: '2025-07-11T09:57:10.0000000+00:00'
                  sub_total:
                    currency: USD
                    amount: '2693.00'
                    amount_minor: 269300
                  discount_total:
                    currency: USD
                    amount: '429.00'
                    amount_minor: 42900
                  tax_total:
                    currency: USD
                    amount: '680.00'
                    amount_minor: 68000
                  credits_total:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  total:
                    currency: USD
                    amount: '2944.00'
                    amount_minor: 294400
                  total_before_tax:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  invoicable_id: 16a81ef3-cfb2-325a-a69f-ee06e925bde9
                  invoicable_type: order
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````